Package org.bukkit.conversations

# Class MessagePrompt

java.lang.Object
org.bukkit.conversations.MessagePrompt

All Implemented Interfaces:
  `Cloneable`, `Prompt`

public abstract class MessagePrompt extends Object implements Prompt
MessagePrompt is the base class for any prompt that only displays a message to the user and requires no input.

## Field Summary

### Fields inherited from interface org.bukkit.conversations.Prompt

`END_OF_CONVERSATION`

## Constructor Summary

Constructors
Constructor
Description
`MessagePrompt()`

## Method Summary

Modifier and Type
Method
Description
`@Nullable Prompt`
`acceptInput(@NotNull ConversationContext context, @Nullable String input)`
Accepts and ignores any user input, returning the next prompt in the prompt graph instead.
`boolean`
`blocksForInput(@NotNull ConversationContext context)`
Message prompts never wait for user input before continuing.
`protected abstract @Nullable Prompt`
`getNextPrompt(@NotNull ConversationContext context)`
Override this method to return the next prompt in the prompt graph.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.bukkit.conversations.Prompt

`getPromptText`

## Constructor Details

### MessagePrompt

public MessagePrompt()

## Method Details

### blocksForInput

public boolean blocksForInput(@NotNull @NotNull ConversationContext context)
Message prompts never wait for user input before continuing.

Specified by:
  `blocksForInput` in interface `Prompt`
Parameters:
  `context` - Context information about the conversation.
Returns:
  Always false.

### acceptInput

@Nullable public @Nullable Prompt acceptInput(@NotNull @NotNull ConversationContext context, @Nullable @Nullable String input)
Accepts and ignores any user input, returning the next prompt in the prompt graph instead.

Specified by:
  `acceptInput` in interface `Prompt`
Parameters:
  `context` - Context information about the conversation.
  `input` - Ignored.
Returns:
  The next prompt in the prompt graph.

### getNextPrompt

@Nullable protected abstract @Nullable Prompt getNextPrompt(@NotNull @NotNull ConversationContext context)
Override this method to return the next prompt in the prompt graph.

Parameters:
  `context` - Context information about the conversation.
Returns:
  The next prompt in the prompt graph.